# newgrf_town.h File Reference

Functions to handle the town part of NewGRF towns. More...

`#include "town_type.h"`

Go to the source code of this file.

## Functions
uint32 | TownGetVariable (byte variable, byte parameter, bool *available, const Town *t)
| This function implements the town variables that newGRF defines.

## Detailed Description

Functions to handle the town part of NewGRF towns.

Definition in file newgrf_town.h.

## Function Documentation

uint32 TownGetVariable | ( | byte | variable,
|  | byte | parameter,
|  | bool * | available,
|  | const Town * | t |
| ) |  |  |

This function implements the town variables that newGRF defines.

Parameters:

  | variable | that is queried
  | parameter | unused
  | available | will return false if ever the variable asked for does not exist
  | t | is of course the town we are inquiring

Returns:
  the value stored in the corresponding variable

Definition at line 24 of file newgrf_town.cpp.

References _settings_game, ClampToU16(), DEBUG, GameSettings::economy, GB(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, EconomySettings::larger_towns, and Town::ratings.

Referenced by HouseGetVariable(), IndustryGetVariable(), ObjectGetVariable(), and NIHTown::Resolve().